curl --request PUT \
--url https://v1.api.altostrat.io/captive/walled-garden/{siteId}/{walledGardenEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Google Login Services"
}
'import requests
url = "https://v1.api.altostrat.io/captive/walled-garden/{siteId}/{walledGardenEntryId}"
payload = { "name": "Google Login Services" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Google Login Services'})
};
fetch('https://v1.api.altostrat.io/captive/walled-garden/{siteId}/{walledGardenEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "f1e2d3c4-b5a6-9876-5432-10fedcba9876",
"name": "Google Authentication Servers",
"type": "captive-auth",
"ip_address": "172.217.16.0/24",
"created_at": "2025-10-27T18:00:00Z"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Update a walled garden entry
Updates the details of a walled garden entry, such as its name. The IP address cannot be changed.
Authorizations
API Key authentication. Provide your token in the 'Authorization' header. Example: Authorization: Bearer <YOUR_TOKEN>
Path Parameters
The unique identifier for the site.
"a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6"
The unique identifier for the walled garden entry.
"f1e2d3c4-b5a6-9876-5432-10fedcba9876"
Body
A new descriptive name for the walled garden entry.
"Google Login Services"
Response
The walled garden entry was updated successfully.
The unique identifier for the walled garden entry.
"f1e2d3c4-b5a6-9876-5432-10fedcba9876"
A descriptive name for the entry.
"Google Authentication Servers"
The type of service this entry is for.
captive-auth, captive-portal "captive-auth"
The IP address or subnet in CIDR notation that is allowed pre-authentication.
"172.217.16.0/24"
The timestamp when the entry was created.
"2025-10-27T18:00:00Z"
Was this page helpful?